"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
function ResultCtaButton(props) {
    const { item, callback, className } = props;
    const clickHandler = (e) => {
        e.preventDefault();
        if (callback && typeof callback === 'function') {
            e.stopPropagation();
            callback(item);
        }
    };
    return (react_1.default.createElement("button", { type: 'button', className: `cio-result-card-cta-button ${className || ''}`, onClick: clickHandler }, "Add to Cart"));
}
exports.default = ResultCtaButton;
