import React from 'react';
import { RequestStates } from '../../constants';
import { NextQuestionResponse, GetBrowseResultsResponse } from '../../types';
import { ActionAnswerQuestion } from './actions';
import { QuizReducerState } from './reducer';
interface QuizContextValue {
    state: QuizReducerState;
    requestState: RequestStates;
    questionResponse: NextQuestionResponse;
    resultsResponse: GetBrowseResultsResponse;
    isFirstQuestion: boolean;
    quizNextHandler: (action?: ActionAnswerQuestion) => void;
    quizBackHandler: () => void;
    dispatch: React.Dispatch<ActionAnswerQuestion>;
}
declare const _default: React.Context<Partial<QuizContextValue>>;
export default _default;
